# base image
FROM node:12.2.0-alpine

# Create app directory
WORKDIR /usr/src/app

# Install app dependencies
# A wildcard is used to ensure both package.json AND package-lock.json are copied
# where available (npm@5+)
COPY package.json ./

RUN npm install
# If you are building your code for production
# RUN npm ci --only=production

# Bundle app source
COPY . .

# copy .env.dev file
COPY .env.dev .env

EXPOSE 80 443

CMD [ "node", "app.js" ]